Skip to main content
POST
/
partner
/
v1
/
withdrawals
Request a withdrawal signature payload
curl --request POST \
  --url https://api.machines.cash/partner/v1/withdrawals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amountCents": 2,
  "destination": {
    "currency": "hbar",
    "network": "hbar",
    "address": "<string>",
    "extraId": "<string>"
  }
}
'
{
  "ok": true,
  "data": {
    "status": "pending",
    "retryAfterSeconds": 123,
    "parameters": [
      "<string>"
    ],
    "execution": {
      "contractId": "<string>",
      "contractVersion": 123,
      "chainId": 123,
      "collateralProxyAddress": "<string>",
      "controllerAddress": "<string>",
      "coordinatorAddress": "<string>",
      "callTarget": "<string>",
      "callPath": "controller_v1"
    },
    "relay": {
      "changeNowId": "<string>",
      "payinAddress": "<string>",
      "payinExtraId": "<string>",
      "payoutAddress": "<string>",
      "payoutExtraId": "<string>",
      "fromCurrency": "<string>",
      "fromNetwork": "<string>",
      "toCurrency": "<string>",
      "toNetwork": "<string>"
    },
    "signature": {
      "data": "<string>",
      "salt": "<string>",
      "parameters": [
        "<string>"
      ]
    },
    "expiresAt": "2023-11-07T05:31:56Z"
  },
  "summary": "<string>",
  "errors": [
    {
      "code": "invalid_request",
      "message": "missing required field",
      "field": "<string>"
    }
  ],
  "next": {
    "pollAfterMs": 1,
    "suggestedTool": "<string>",
    "suggestedArgs": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Open-Responses
enum<string>

Return Open Responses-compatible output when set (replaces the default response envelope).

Available options:
1,
true
X-Open-Responses-Call-Id
string

Tool call id used for function_call_output items when Open Responses mode is enabled.

Minimum string length: 1

Body

application/json
amountCents
integer
required

Amount in cents.

Required range: x >= 1
destination
object
required
source
object
adminAddress
string

Recommended. Admin EOA that will sign and broadcast the onchain withdrawAsset transaction.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x2b0f7f2f7c8e4c3d2d3b3f6a8f9b0c1d2e3f4a5b"

Response

Withdrawal signature payload

ok
boolean
required
data
object
required
summary
string
required
errors
object[]
required
next
object